Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class LogManager

    java.lang.Object
      |
      +--com.bea.wlai.common.LogManager

public class LogManager
extends java.lang.Object

A class used for logging messages with Loglevels of "debug", "info", "warning", "error", "notice", "critical" to a WebLogic LogOutputStream; "error", "notice", and "critical" messages are always written, "debug", "info", and "warning" messages depend on the configured level

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `CRITICAL_LEVEL`
`static int` | `DEBUG_LEVEL`
`static int` | `ERROR_LEVEL`
`static int` | `INFO_LEVEL`
`static int` | `NOTICE_LEVEL`
`static int` | `WARNING_LEVEL`

Constructor Summary
`LogManager()`

Method Summary
`static void` | `critical(java.lang.String aMessageString)` Log an critical message to the WebLogic Server logging facility.
`static void` | `critical(java.lang.String aMessageString, java.lang.Throwable anException)` Log an critical message to the WebLogic Server logging facility.
`static void` | `debug(java.lang.String aMessageString)` Log a debug message to the WebLogic Server logging facility.
`static void` | `debug(java.lang.String aMessageString, java.lang.Throwable t)` Log a debug message to the WebLogic Server logging facility.
`static void` | `disableDiagnosticContext()` Disassociates a diagnostic context with the current thread; only works if debug is enabled
`static void` | `enableDiagnosticContext(java.lang.String strContext)` Associates a diagnostic context with the current thread; only works if debug is enabled
`static void` | `error(java.lang.String aMessageString)` Log an error message to the WebLogic Server logging facility.
`static void` | `error(java.lang.String aMessageString, java.lang.Throwable anException)` Log an error message to the WebLogic Server logging facility.
`static java.lang.String` | `getLogLevel()` Get the current log level
`static void` | `info(java.lang.String aMessageString)` Log a info message to the WebLogic Server logging facility.
`static void` | `info(java.lang.String aMessageString, java.lang.Throwable t)` Log a info message to the WebLogic Server logging facility.
`static boolean` | `isDebugEnabled()` Determine whether a debug message will be logged or not.
`static boolean` | `isEnabled(int aMessageLevel)` Determine whether a particular level of message will be logged or not.
`static boolean` | `isEnabled(java.lang.String aMessageLevel)` Determine whether a particular level of message will be logged or not.
`static boolean` | `isErrorEnabled()` Determine whether an error message will be logged or not.
`static boolean` | `isInfoEnabled()` Determine whether an info message will be logged or not.
`static boolean` | `isWarningEnabled()` Determine whether a warning message will be logged or not.
`static void` | `notice(java.lang.String aMessageString)` Log an notice message to the WebLogic Server logging facility.
`static void` | `notice(java.lang.String aMessageString, java.lang.Throwable anException)` Log an notice message to the WebLogic Server logging facility.
`static void` | `setLogLevel(int aLevel)` Set the logging level
`static void` | `setLogLevel(java.lang.String aMessageLevel)` Set the logging level
`static void` | `warning(java.lang.String aMessageString)` Log an warning message to the WebLogic Server logging facility.
`static void` | `warning(java.lang.String aMessageString, java.lang.Throwable t)` Log an warning message to the WebLogic Server logging facility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_LEVEL

    public static final int DEBUG_LEVEL

### INFO_LEVEL

    public static final int INFO_LEVEL

### WARNING_LEVEL

    public static final int WARNING_LEVEL

### ERROR_LEVEL

    public static final int ERROR_LEVEL

### NOTICE_LEVEL

    public static final int NOTICE_LEVEL

### CRITICAL_LEVEL

    public static final int CRITICAL_LEVEL

Constructor Detail

### LogManager

    public LogManager()

Method Detail

### debug

    public static final void debug(java.lang.String aMessageString)

  Log a debug message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - the message to log.

### debug

    public static final void debug(java.lang.String aMessageString,
                                   java.lang.Throwable t)

  Log a debug message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - the message to log.
    `t` - - an exception/error to log with the debug message

### notice

    public static final void notice(java.lang.String aMessageString,
                                    java.lang.Throwable anException)

  Log an notice message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.
    `anException` - - an exception to add to the log.

### notice

    public static final void notice(java.lang.String aMessageString)

  Log an notice message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.

### critical

    public static final void critical(java.lang.String aMessageString,
                                      java.lang.Throwable anException)

  Log an critical message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.
    `anException` - - an exception to add to the log.

### critical

    public static final void critical(java.lang.String aMessageString)

  Log an critical message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.

### error

    public static final void error(java.lang.String aMessageString,
                                   java.lang.Throwable anException)

  Log an error message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.
    `anException` - - an exception to add to the log.

### error

    public static final void error(java.lang.String aMessageString)

  Log an error message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.

### info

    public static final void info(java.lang.String aMessageString)

  Log a info message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - the message to log.

### info

    public static final void info(java.lang.String aMessageString,
                                  java.lang.Throwable t)

  Log a info message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - the message to log.
    `t` - - an exception/error to log with the info message

### warning

    public static final void warning(java.lang.String aMessageString)

  Log an warning message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.

### warning

    public static final void warning(java.lang.String aMessageString,
                                     java.lang.Throwable t)

  Log an warning message to the WebLogic Server logging facility.

  Parameters:
    `aMessageString` - - a message to add to the log.
    `t` - - an exception/error to log with the info message

### isEnabled

    public static final boolean isEnabled(int aMessageLevel)

  Determine whether a particular level of message will be logged or not. The message level must be greater than the current log level in order to be logged.

### isEnabled

    public static final boolean isEnabled(java.lang.String aMessageLevel)

  Determine whether a particular level of message will be logged or not. The message level must be greater than the current log level in order to be logged.

### isDebugEnabled

    public static final boolean isDebugEnabled()

  Determine whether a debug message will be logged or not. The message level must be greater than the current log level in order to be logged.

### isInfoEnabled

    public static final boolean isInfoEnabled()

  Determine whether an info message will be logged or not. The message level must be greater than the current log level in order to be logged.

### isWarningEnabled

    public static final boolean isWarningEnabled()

  Determine whether a warning message will be logged or not. The message level must be greater than the current log level in order to be logged.

### isErrorEnabled

    public static final boolean isErrorEnabled()

  Determine whether an error message will be logged or not. The message level must be greater than the current log level in order to be logged.

### setLogLevel

    public static final void setLogLevel(int aLevel)

  Set the logging level

### setLogLevel

    public static final void setLogLevel(java.lang.String aMessageLevel)

  Set the logging level

### getLogLevel

    public static final java.lang.String getLogLevel()

  Get the current log level

### enableDiagnosticContext

    public static final void enableDiagnosticContext(java.lang.String strContext)

  Associates a diagnostic context with the current thread; only works if debug is enabled

### disableDiagnosticContext

    public static final void disableDiagnosticContext()

  Disassociates a diagnostic context with the current thread; only works if debug is enabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)